<?php
/**
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Software License Agreement
 * that is bundled with this package in the file LICENSE.txt.
 *
 * @author    SecurePay - https://www.securepay.com.au/
 * @copyright PrestaShop SA
 * @license   http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

require_once(_PS_MODULE_DIR_.'/secureapi/secureapi.php');
require_once(_PS_MODULE_DIR_.'/secureapi/controllers/library/class-secure-api.php');

class AdminSecureapiCancelController extends ModuleAdminController
{
    public function postProcess()
    {
        $order_id = Tools::getValue('order_id');
        $client_id = Configuration::get('SECURE_API_CLIENT_ID');
        $client_secret = Configuration::get('SECURE_API_CLIENT_SECRET');
        $client_merchant_code = Configuration::get('SECURE_API_MERCHANT_CODE');
        $test_mode = Configuration::get('SECURE_API_TEST_MODE');
        $transaction_type = Configuration::get('SECURE_API_TRANSACTION_TYPE');
        $store_id = Configuration::get('SECURE_API_STORE_ID');
        $customer_id = null;
        $order = new Order($order_id);
        $cart_id = $order->getCartIdStatic($order_id);
        $params = [
            'client_id'=>$client_id,
            'client_secret'=>$client_secret,
            'merchant_code'=>$client_merchant_code,
            'sandbox_mode'=>$test_mode,
            'transaction_type'=>$transaction_type,
            'customer_id'=>$customer_id,
            'order_id'=>$cart_id,
            'store_id'=>$store_id
        ];
        $securepay_api = new Securepaylib($params);
        $payment = $securepay_api->cancelPreAuthPayment();
        if (isset($payment['status']) && isset($payment['gatewayResponseCode']) && $payment['status'] == 'paid' && in_array($payment['gatewayResponseCode'], array('00'))) {
            $sql = 'UPDATE `'._DB_PREFIX_.'secure_api_order_status` SET `secure_order_type` = \'CAPTURE\' , updated_time = NOW()
			WHERE `cart_id` = '.(int)$order_id;
            Db::getInstance()->execute($sql);
            $this->confirmations[] = 'Cancel preauth payment success!';
        } else {
            $this->errors[] = 'Problem with capture payment. ' .  $payment['errorCode'] . ' - ' .  $payment['errorDetail'] ;
        }
        Tools::redirectAdmin($this->context->link->getAdminLink('AdminOrders') . '&vieworder&id_order=' . (int) $order_id);
    }
}
