<?php
/**
 * 2007-2015 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    vnphpexpert <vnphpexpert@gmail.com>
 *  @copyright 2007-2015 vnphpexpert
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 *  International Registered Trademark & Property of vnphpexpert
 */

/**
 * @since 1.5.0
 */
if (!class_exists('Securepaylib')) {
    require_once(_PS_MODULE_DIR_.'/secureapi/controllers/library/class-secure-api.php');
}
class SecureApiPaymentModuleFrontController extends ModuleFrontController
{

    public $ssl = true;
    public $display_column_left = false;

    public $_sandbox_url_js = 'https://payments-stest.npe.auspost.zone/v3/ui/client/securepay-ui.min.js';
    public $_live_url_js = 'https://payments.auspost.net.au/v3/ui/client/securepay-ui.min.js';
    public $_checkout_url_js = '';
    /**
     * @see FrontController::initContent()
     */
    public function initContent()
    {
        parent::initContent();
        $cart = $this->context->cart;
        if (!$this->module->checkCurrency($cart)) {
            Tools::redirect('index.php?controller=order');
        }
        $test_mode = Configuration::get('SECURE_API_TEST_MODE');
        $save_card = Configuration::get('SECURE_API_SAVE_CARD');
        if ($test_mode == 0) {
            $this->_checkout_url_js =$this->_sandbox_url_js;
        } else {
            $this->_checkout_url_js =$this->_live_url_js;
        }

        $customer = new Customer($cart->id_customer);
        $tokens = array();
        if ($customer->id && $save_card == 1) {
           //get payment instrusment
            $tokens = Db::getInstance()->ExecuteS(
                'SELECT card_token, scheme, last4, expiry_month, expiry_year FROM ' . _DB_PREFIX_ . 'secure_api_saved_card  WHERE user_id = ' .$customer->id
            );
        }
        $complete_callback = $this->context->link->getModuleLink('secureapi', 'validation', array(), true);
        $cancel_callback = Tools::getShopDomain(true, true) . '/index.php?controller=order&step=1';
        $this->context->smarty->assign(array(
            'nbProducts' => $cart->nbProducts(),
            '_checkout_url_js' => $this->_checkout_url_js,
            'complete_callback' => $complete_callback,
            'cancel_callback' => $cancel_callback,
            'client_id'=>Configuration::get('SECURE_API_CLIENT_ID'),
            'merchantCode'=>Configuration::get('SECURE_API_MERCHANT_CODE'),
            'logo'=>Media::getMediaPath(_PS_MODULE_DIR_ .'/secureapi/logo.png'),
            'cart_id'=>$this->context->cart->id,
            'tokens'=>$tokens,
            'count_tokens'=>count($tokens),
            'save_card'=>$save_card
        ));
        $this->setTemplate('module:secureapi/views/templates/front/payment_form.tpl');
    }
}
