/**
 * * NOTICE OF LICENSE
 *
 * This source file is subject to the Software License Agreement
 * that is bundled with this package in the file LICENSE.txt.
 *
 *  @author     SecurePay - https://www.securepay.com.au/
 *  @license   http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)s
 */
jQuery(function ($) {
    $(document).ready(function () {
        var count_tokens = $('#count_token').val();
        if(count_tokens == 0){
            init();
        }
        $('input[name=secureapi-payment-token]').on('change', function () {
            let selected_type = $('input[name=secureapi-payment-token]:checked').val();
            if (selected_type === undefined || selected_type === 'new') {
                $("#new_payment_method").val('new');
                init();
            }else{
                $('#secure-pay-form').css('display', 'none');
                $("#secure-pay-token").val(this.value);
                $("#new_payment_method").val('old');
            }
        });
        function init() {
            executed = true;
            $('#secure-pay-form').css('display', 'block');
            $('.loader').css('display', 'block');
            $('#securepay-ui-container').empty();
            mySecurePayUI = new securePayUI.init({
                containerId: "securepay-ui-container",
                scriptId: "securepay-ui-js",
                clientId: "{$client_id}",
                merchantCode: "{$merchantCode}",
                card: {
                    onTokeniseSuccess: function (tokenisedCard) {
                        $("#secure-pay-token").val(tokenisedCard['token']);
                        $('.loader').css('display', 'none');

                        if($('#save_payment_method').is(":checked")){
                            $("#token_saved").val(1);
                        }else {
                            $("#token_saved").val(0);
                        }
                        $('#payment-form').submit();
                    },
                    onTokeniseError: function (errors) {
                        $('#transaction-error').fadeIn("slow");
                        setTimeout(function () {
                            $('#transaction-error').fadeOut("slow");
                        }, 5000);
                        $('.loader').css('display', 'none');
                        $('.blockOverlay').css('display', 'none');
                    },
                    showCardIcons: true
                },
                style: {
                    backgroundColor: '#fafafa',
                    label: {
                        font: {
                            family: '"Source Sans Pro",HelveticaNeue-Light,"Helvetica Neue Light","Helvetica Neue",Helvetica,Arial,"Lucida Grande",sans-serif',
                            color: '#6d6d6d'
                        }
                    },
                    input: {
                        font: {
                            family: '"Source Sans Pro",HelveticaNeue-Light,"Helvetica Neue Light","Helvetica Neue",Helvetica,Arial,"Lucida Grande",sans-serif',
                            color: '#6d6d6d'
                        }
                    }
                },
                onLoadComplete: function () {
                    $('.loader').css('display', 'none');
                }
            });
        }

        $('#submit-payment').on('click', function () {
            $(this).addClass('loading');
            let selected_type = $('input[name=secureapi-payment-token]:checked').val();
            if (selected_type === undefined || selected_type === 'new') {
                mySecurePayUI.tokenise();
            }else{
                if($('#save_payment_method').is(":checked")){
                    $("#token_saved").val(1);
                }else {
                    $("#token_saved").val(0);
                }$('#payment-form').submit();
            }

        });

        $('#reset-payment').on('click', function () {
            mySecurePayUI.reset();
        });
    });
});