{**
* NOTICE OF LICENSE
*
* This source file is subject to the Software License Agreement
* that is bundled with this package in the file LICENSE.txt.
*
*  @author     SecurePay - https://www.securepay.com.au/
*  @license   http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
*}
{extends "$layout"}
{block name="content"}
    <section>
        <script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>

        {if $nbProducts <= 0}
            <p class="warning">{l s='Your shopping cart is empty.' mod='secureapi'}</p>
        {else}

            <div class="container form-header align-center">
                <img src="{$logo|htmlentities}" alt="SecurePay logo">
            </div>
            {if $count_tokens >0}

            <ul class="list_tokens align-center container">
                {foreach $tokens as $token}
                    <li>
                        <input type="radio" value="{$token['card_token']}" name="secureapi-payment-token">
                        <lable class="fs-16">
                            {$token['scheme']|htmlentities} ending in {$token['last4']|htmlentities} -  {$token['expiry_month']|htmlentities} / {$token['expiry_year']|htmlentities}
                        </lable>
                    </li>
                {/foreach }
                <li><input type="radio" value="new" name="secureapi-payment-token">
                    <label class="fs-16"> Use a new payment method </label>
                </li>
            </ul>
            {/if}

            <form id="secure-pay-form" class="container col" onsubmit="return false;"  style="display: none;">
                <div id="securepay-ui-container"></div>
                <div id="transaction-error" class="error" style="display: none">
                    Error occurs in transaction process, please double check card numbers and try again.
                </div>
                {if $save_card == 1}
                <p class="form-row save_new" style="display: block;">
                    <input name="secure_pay-new-payment-method" id="save_payment_method" type="checkbox" value="true" style="width:auto;">
                    <label for="secure_pay-new-payment-method" style="display:inline;">Save to account</label>
                </p>
                {/if}
            </form>
            <div class="container align-center submit-button-pay">
                <button class="button" id="submit-payment">Pay now</button>
            </div>



            <form id="payment-form" style="display: none" method="post" action="{$complete_callback|escape:'html':'UTF-8'}">
                <input name="token" id="secure-pay-token">
                <input name="order_id" value="{$cart_id|intval}">
                <input name="new_payment_method" id="new_payment_method" value="old">
                <input name="token_saved" id="token_saved" value="1">
                <input name="count_token" id="count_token" value="{$count_tokens|intval}">
            </form>
            <div class="loader" style="display: none;"></div>
            <script id="securepay-ui-js" src="https://payments-stest.npe.auspost.zone/v3/ui/client/securepay-ui.min.js"></script>
            <script>
                jQuery(function ($) {
                    $(document).ready(function () {
                        var count_tokens = $('#count_token').val();
                        if(count_tokens == 0){
                            init();
                        }
                        $('input[name=secureapi-payment-token]').on('change', function () {
                            let selected_type = $('input[name=secureapi-payment-token]:checked').val();
                            if (selected_type === undefined || selected_type === 'new') {
                                $("#new_payment_method").val('new');
                                init();
                            }else{
                                $('#secure-pay-form').css('display', 'none');
                                $("#secure-pay-token").val(this.value);
                                $("#new_payment_method").val('old');
                            }
                        });
                        function init() {
                            executed = true;
                            $('#secure-pay-form').css('display', 'block');
                            $('.loader').css('display', 'block');
                            $('#securepay-ui-container').empty();
                            mySecurePayUI = new securePayUI.init({
                                containerId: "securepay-ui-container",
                                scriptId: "securepay-ui-js",
                                clientId: "{$client_id|htmlentities}",
                                merchantCode: "{$merchantCode|htmlentities}",
                                card: {
                                    onTokeniseSuccess: function (tokenisedCard) {
                                        $("#secure-pay-token").val(tokenisedCard['token']);
                                        $('.loader').css('display', 'block');

                                        if($('#save_payment_method').is(":checked")){
                                            $("#token_saved").val(1);
                                        }else {
                                            $("#token_saved").val(0);
                                        }
                                        $('#payment-form').submit();
                                    },
                                    onTokeniseError: function (errors) {
                                        $('#transaction-error').fadeIn("slow");
                                        setTimeout(function () {
                                            $('#transaction-error').fadeOut("slow");
                                        }, 5000);
                                        $('.loader').css('display', 'none');
                                        $('.blockOverlay').css('display', 'none');
                                    },
                                    showCardIcons: true
                                },
                                style: {
                                    backgroundColor: '#fafafa',
                                    label: {
                                        font: {
                                            family: '"Source Sans Pro",HelveticaNeue-Light,"Helvetica Neue Light","Helvetica Neue",Helvetica,Arial,"Lucida Grande",sans-serif',
                                            color: '#6d6d6d'
                                        }
                                    },
                                    input: {
                                        font: {
                                            family: '"Source Sans Pro",HelveticaNeue-Light,"Helvetica Neue Light","Helvetica Neue",Helvetica,Arial,"Lucida Grande",sans-serif',
                                            color: '#6d6d6d'
                                        }
                                    }
                                },
                                onLoadComplete: function () {
                                    $('.loader').css('display', 'none');
                                }
                            });
                        }

                        $('#submit-payment').on('click', function () {

                            let selected_type = $('input[name=secureapi-payment-token]:checked').val();
                            if (selected_type === undefined || selected_type === 'new') {
                                mySecurePayUI.tokenise();
                            }else{
                                if($('#save_payment_method').is(":checked")){
                                    $("#token_saved").val(1);
                                }else {
                                    $("#token_saved").val(0);
                                }
                                $('.loader').css('display', 'block');
                                $('#payment-form').submit();
                            }

                        });

                        $('#reset-payment').on('click', function () {
                            mySecurePayUI.reset();
                        });
                    });
                });
            </script>
        {/if}
    </section>

{/block}
