{**
* NOTICE OF LICENSE
*
* This source file is subject to the Software License Agreement
* that is bundled with this package in the file LICENSE.txt.
*
*  @author     SecurePay - https://www.securepay.com.au/
*  @license   http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
*}
<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>

<fieldset id="fgc_secure_pay-cc-form" class="wc-credit-card-form wc-payment-form" style="display: block;">
    <div style="position: relative">
        <div class="loader" style="display: none"></div>
        <div id="securepay-ui-container"></div>
        <script id="securepay-ui-js"
                src="https://payments-stest.npe.auspost.zone/v3/ui/client/securepay-ui.min.js"></script>
        <link rel="stylesheet" href="<?= __SECURE_PAY_STATIC__ ?>css/secure-pay.css">
        <input id="secure-pay-token" name="securePayToken" style="display: none">
        <div id="transaction-error" class="secureapi-error" style="display: none">
            Error occurs in tokenisation process, please double check card numbers and try again.
        </div>
    </div>
</fieldset>
<script>
    jQuery(function ($) {
        $(document).ready(function () {

            function tokenise() {
                $('.blockOverlay').css('display', 'none');
                try {
                    $('.loader').css('display', 'block');
                    mySecurePayUI.tokenise();
                } catch (e) {
                    $('.loader').css('display', 'none');
                }
            }


            var mySecurePayUI;
            $('input[name=secureapi-payment-token]').on('change', function () {
                let selected_type = $('input[name=secureapi-payment-token]:checked').val();
                if (selected_type === undefined || selected_type === 'new') {
                    init();
                }else{
                    $('#fgc_secure_pay-cc-form').css('display', 'none');
                    $("#secure-pay-token").val(this.value);
                }
                });

            function init() {
                executed = true;
                $('#fgc_secure_pay-cc-form').css('display', 'block');
                $('.loader').css('display', 'block');
                $('#securepay-ui-container').empty();
                mySecurePayUI = new securePayUI.init({
                    containerId: "securepay-ui-container",
                    scriptId: "securepay-ui-js",
                    clientId: "{$client_id|intval}",
                    merchantCode: "{$merchantCode|floatval}",
                    card: {
                        onTokeniseSuccess: function (tokenisedCard) {
                            $("#secure-pay-token").val(tokenisedCard['token']);
                            $('form.checkout').submit();
                            $('form#add_payment_method').submit();
                            $('.loader').css('display', 'none');
                            // $("#secure-pay-token").val('');
                        },
                        onTokeniseError: function (errors) {
                            $('#transaction-error').fadeIn("slow");
                            setTimeout(function () {
                                $('#transaction-error').fadeOut("slow");
                            }, 5000);
                            $('.loader').css('display', 'none');
                            $('.blockOverlay').css('display', 'none');
                        },
                        showCardIcons: true
                    },
                    style: {
                        backgroundColor: '#fafafa',
                        label: {
                            font: {
                                family: '"Source Sans Pro",HelveticaNeue-Light,"Helvetica Neue Light","Helvetica Neue",Helvetica,Arial,"Lucida Grande",sans-serif',
                                color: '#6d6d6d'
                            }
                        },
                        input: {
                            font: {
                                family: '"Source Sans Pro",HelveticaNeue-Light,"Helvetica Neue Light","Helvetica Neue",Helvetica,Arial,"Lucida Grande",sans-serif',
                                color: '#6d6d6d'
                            }
                        }
                    },
                    onLoadComplete: function () {
                        $('.loader').css('display', 'none');
                    }
                });
            }
            $('#confirm_order').on('click', function () {
                let payment_method= $('input[name="payment-option"]:checked').val();
                if(payment_method == "{$payment_name}"){
                    tokenise();
                    return false;
                }
                return true;


            })



        });
    });
</script>